function [t y] = modielementari(lambda, c, mi, tmin, tmax, step_size)
%Questa funzione valuta all'interno della finestra [tmin,tmax] i modi
%elementari

t = tmin:step_size:tmax;

%size(A) restituisce le dimensioni della matrice A
n = size(t,2);

%preallocazione
y = zeros(1,n);


for ii=1:n
    y(1,ii) = t(1,ii)^(mi-1)/(factorial(mi))*c*exp(lambda*t(1,ii));
end

end