clear all;
close all;
clc;

num = 1;
omega = 2;

den = [1 0 omega^2];

sys = tf(num,den)

%%
bode(sys);

%%
t = 0:0.02:40;

omega_u = 2;

%seno di ampiezza unitaria
u = sin(omega_u*t);

y = lsim(num,den,u,t);
%%
figure(2)
plot(t,y)
%%
y_check = y(size(t,2)/2:end,1)
gain = max(y_check)/1

[mag,phase] = bode(sys,omega_u)

disp(mag)

figure
plot(t,y)