clear all
close all
clc

num = 116;
den = [1 8 116];
sys = tf(num,den)

%%
[r,p,k] = residue(num,[den 0])

t = 0:0.02:3.5;
step_r = zeros(1,size(t,2))

for ii=1:size(r,1)
    step_r = step_r + r(ii,1)*exp(p(ii,1)*t);
end

for ii=1:size(k,2)
    step_r = step_r + k*t^(ii-1);
end

plot(t,step_r)
%metodo "residue" vale e pu essere utile per qualsiasi segnale d'ingresso
%per segnali particolari si possono usare altre funzioni gi implementate
%
%
hold on

step(num,den,'ro')

%% calcolo risposta impulsiva
[r,p,k] = residue(num,[den]);

imp_r = zeros(1,size(t,2))

for ii=1:size(r,1)
    imp_r = imp_r + r(ii,1)*exp(p(ii,1)*t);
end

for ii=1:size(k,2)
    imp_r = imp_r + k*t^(ii-1);
end

figure
plot(t,imp_r);
hold on
%%
impulse(num,den,'ro')
