clc;
clear all;
close all;

num = [1];
den = [1 2  2];

sys = tf(num,den);
% 
% impulse(num,den);
% 
% figure
% step(num,den);
%%
t=[0:0.01:20];

%%
u=sin(t)-cos(t);

%%
v_trans = 1/5*exp(-t).*(2*cos(t)+sin(t))+...
1/5*exp(-t).*(cos(t)+3*sin(t));

v_perm = -1/5*(sin(t)+3*cos(t));
figure 
plot(t,v_perm,'r','LineWidth',2)

%%
hold on
plot(t,v_trans,'g','LineWidth',2)


v = v_perm + v_trans;

plot(t,v,'c','LineWidth',2)
%%
% il metodo analitico "carta e penna" pu essere sostituito con l'uso della
% funzione lsim;

v_lsim=lsim(num,den,u,t);


plot(t,v_lsim,'LineWidth',2); 
grid on;

title('System response to the input signal u(t)')
xlabel('Time[sec]'); ylabel('Amplitude');
legend('v_lsim','v_perm','v_trans','v')